Bug 808542 - Can't print to HP Network printer using hpijs driver
Can't print to HP Network printer using hpijs driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 12:35 EDT by Alberto
Modified: 2013-02-13 18:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:52:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups error_log snippet as shown by gnome3 printing tool during troubleshooting wizard (33.01 KB, text/plain)
2012-03-30 12:35 EDT, Alberto
no flags Details

  None (edit)
Description Alberto 2012-03-30 12:35:25 EDT
Created attachment 574039 [details]
cups error_log snippet as shown by gnome3 printing tool during troubleshooting wizard

Description of problem:
I've properly setup my ethernet connected printer (HP OfficeJet Pro 8500A Plus (A910) using hp-setup. When sending jobs to the printer, cups reports the job as completed, however no output is generated by the printer. I've disabled SELINUX to ensure it wasn't the source of the problem and the problem persists. I've running the troubleshooting wizard from the gnome3 printing tool and it does find errors but can't correct them. I've done various google searches for the error and can't find a solution. The error appears to be sourced from the hpijs driver from hplip. The cups error log includes a line with the following entry which leads me to believe that hpijs is the culprit:

prnt/hpijs/hpijs.cpp 639: unable to open PrintContext object err=2

Version-Release number of selected component (if applicable):
3.12.2-3.fc16.x86_64
3.12.2-4.fc16.x86_64 (updates-testing)


How reproducible:
Can be reproduced every time. Removing printer and adding again results in same error.

Steps to Reproduce:
1. Install printer using hp-setup
2. Turn on cups debugging
3. Send print job
  
Actual results:
gnome3 and cups report that job has completed printing but no output is generated by the printer.

Expected results:
Output should be generated by the printer

Additional info:
Comment 1 Jiri Popelka 2012-04-04 06:46:23 EDT
(In reply to comment #0)
> prnt/hpijs/hpijs.cpp 639: unable to open PrintContext object err=2

The value of 2 is defined in hpijs/global_types.h:
SYSTEM_ERROR = 0x02, //!< something bad that should not have happened
I could build test packages with some debugging enabled so we could narrow the problem down, but it would be good to know if hpijs is really the culprit.

It's strange that hp-setup chose hpijs driver. I think hpcups should be the default. When you change the driver to hpcups, do you see any problem during printing ?
Comment 2 Fedora End Of Life 2013-01-16 15:28:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 18:52:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.